## nstx 1.1

=== Makefile ===
CC = gcc
CFLAGS = -Wall -ggdb -DLINUX

NSTXD_SRCS = nstxd.c nstx_encode.c nstx_util.c nstx_pstack.c nstx_dns.c nstx_tuntap.c nstx_queue.c
NSTXD_OBJS = nstxd.o nstx_encode.o nstx_util.o nstx_pstack.o nstx_dns.o nstx_tuntap.o nstx_queue.o

NSTXCD_SRCS = nstxcd.c nstx_encode.c nstx_util.c nstx_pstack.c nstx_dns.c nstx_tuntap.o nstx_queue.c
NSTXCD_OBJS = nstxcd.o nstx_encode.o nstx_util.c nstx_pstack.o nstx_dns.o nstx_tuntap.o nstx_queue.c

PROGS = nstxd nstxcd

all: $(PROGS)

nstxd: $(NSTXD_OBJS)
	$(CC) $(CFLAGS) -o nstxd $(NSTXD_OBJS)

nstxcd: $(NSTXCD_OBJS)
	$(CC) $(CFLAGS) -o nstxcd $(NSTXCD_OBJS)

clean:
	rm -f *.o $(PROGS) Makefile.bak *~ core

## nstx 1.1-beta6

=== debian/changelog ===
nstx (1.1-beta6-6ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #606390), remaining changes:
    - add debian/patches/fix_short_write to fix ignoring the return
      value of a possible short write in nstx_tuntap.c.
    - Fix fix_short_write to not miscalculate remaining write count
      on EINTR.
  * Modified fix_short_write for get it working with quilt  

 -- Lorenzo De Liso <blackz@ubuntu.com>  Fri, 16 Jul 2010 19:05:51 +0200

nstx (1.1-beta6-6) unstable; urgency=low

  * QA Upload.
  * Fixed several lintian warnings.
  * Moved to "3.0 (quilt)" source format.
  * Dropped most of the useless stuff from debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Wed, 07 Apr 2010 16:30:38 +0200

nstx (1.1-beta6-5ubuntu2) karmic; urgency=low

  * Fix fix_short_write to not miscalculate remaining write count
    on EINTR.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 10 Oct 2009 13:58:19 +0200

nstx (1.1-beta6-5ubuntu1) karmic; urgency=low

  * add debian/patches/fix_short_write to fix ignoring the return
    value of a possible short write in nstx_tuntap.c.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Fri, 09 Oct 2009 21:42:00 +0200

nstx (1.1-beta6-5) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Change maintainer to the Debian QA Group, to indicate the
    orphaning done in bug #459902.
  * Add LSB dependency header to init.d scripts (Closes: #457756)
  * New patch 02_oneoff.dpatch: Packets which exactly fit a DNS query
    need to be marked as "last packet", otherwise the server won't decode
    them (Closes: #422462).  Patch from Matthias Urlichs.
  * Change rules to pass CFLAGS on to the build make file.
  * New patch 03_sock_init to avoid warning triggered by -Wextra.
  * Make sure the directory used by chroot is created if it is missing
    (Closes: #424614).  Patch from Mads Chr. Olesen.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Mar 2008 12:52:07 +0100

nstx (1.1-beta6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch to fix: nstxd leaks like a sieve. (Closes: #446104)

 -- Juan Angulo Moreno <juan@apuntale.com>  Fri, 22 Feb 2008 15:15:35 -0430

nstx (1.1-beta6-4) unstable; urgency=low

  * Fix segfault triggered by normal DNS traffic (closes: #345159)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 18 Jan 2006 21:10:26 +0000

nstx (1.1-beta6-3) unstable; urgency=low

  * Apply patch to fix crashes when looking up the tunnel domain
    (closes: #307489)
  * Allow the tunnel being brought up to be configured (closes: #334073)
  * Attempt to automatically grab a DNS server (closes: #307769)
  * Add NSTX_IFACE string in /etc/default/nstx to allow binding to a 
    specific interface on nstxd startup (closes: #299435)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 12 Dec 2005 19:28:09 +0000

nstx (1.1-beta6-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * nstxcd.c: changed the variable ch to be an int instead of a char, since
    that is what it must be when it gets the return value from getopt.
    Closes: #306265 (which is release critical, hence a high severity).

 -- Lars Wirzenius <liw@iki.fi>  Thu, 28 Apr 2005 19:39:00 +0300

nstx (1.1-beta6-2) unstable; urgency=low

  * don't cast things to signed chars if you want numbers greater than 128
    (closes: #302874)
  * fix FTBFS with gcc 4.0 (thanks to Andreas Jochens for the patch)
    (closes: #300878)
  * don't assume chars are signed

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun,  3 Apr 2005 16:36:20 +0100

nstx (1.1-beta6-1) unstable; urgency=high

  * new upstream release
  * allow binding to a specific interface (closes: #272850)
  * major stability improvements, upgrade recommended

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  7 Mar 2005 01:52:10 +0000

nstx (1.1-beta5-6) unstable; urgency=high

  * initialise variables that are going to be used (closes: #277293)
  * compile with -W, fix up signed/unsigned comparisons (closes: #277296)
  * fix restart bug in nstxd init script (closes: #277319)
  * add a length check to nstx_decode, so we don't try to decode packets
    that are too short (closes: #277334)
  * bump the debhelper build-depends to reflect the requirement for --name
    in dh_installinit (closes: #277295)
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 19 Oct 2004 23:13:05 +0100
	

nstx (1.1-beta5-5) unstable; urgency=high

  * Make sure that packet length is compared against a signed int, rather
    than an unsigned size_t. I haven't managed to track down what causes
    this in the first place, but nstxd sessions seem to crash with
    moderate regularity even when they're not being used. At a guess there's
    some sort of DNS probing going on that upsets it (closes: #259079)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 17 Aug 2004 18:20:05 +0100
	

nstx (1.1-beta5-4) unstable; urgency=low	

  * Depend on adduser (closes: #263334)
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 19 Jul 2004 16:38:44 +0100
	

nstx (1.1-beta5-3) unstable; urgency=low

  * Generate an unprivileged user. chroot and drop privileges on daemon
    startup. 
  * Revert nstxcd code to 1.1-beta 4 - working with bind seems preferable
    to working with djbdns (closes: #259057)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 19 Jul 2004 16:38:44 +0100
	

nstx (1.1-beta5-2) unstable; urgency=low

  * ifdown tun0 on stop

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 10 Jul 2004 19:11:33 +0100
	

nstx (1.1-beta5-1) unstable; urgency=low
	
  * New upstream version
  * Compile with -O2 (Closes: #255143)
  * Don't claim to have failed when startup is disabled
  * Fix segfault on zero-length queries
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 10 Jul 2004 18:37:43 +0100
	

nstx (1.1-beta4-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 27 May 2004 16:41:12 +0100

=== debian/control ===
Source: nstx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4

Package: nstx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Tunnel IP over DNS
 nstx allows you to pass IP packets via DNS queries. This allows you to use
 standard network protocols when otherwise only DNS would be available.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wextra -Wall -ggdb -Werror -Wsign-compare    

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

binary-indep: build

binary-arch: build
	dh_prep
	dh_installdirs
	install nstxd -D $(CURDIR)/debian/nstx/usr/sbin/nstxd
	install nstxcd -D $(CURDIR)/debian/nstx/usr/sbin/nstxcd
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
	dh_installinit
	dh_installinit --name=nstxd
	dh_installinit --name=nstxcd
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary
